<?php
class CacheQuery
{
	var $filename;
	var $query;
	var $tmpintdir;

	function CacheQuery($query,$UseCache=false)
	{
		$this->query = $query;
		$this->data = false;
		$this->read_mysql();
	}

	function read_mysql()
	{
		if(!$rs = mysql_query($this->query))
		die(mysql_error());

		while($row = mysql_fetch_assoc($rs))
		$this->data[] = $row;

		if(empty($this->data))
		return false;
		else
		return true;
	}
}
?>